/* ******************************
          PRELOADER
******************************* */
#preloader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background-color: white;
  z-index: +99;
  display: grid;
  place-items: center;
  overflow: hidden;
}
#preloader img {
  width: 300px;
}

/* ******************************
      BACK TO TOP
******************************* */
#myBtn {
  display: none;
  place-items: center;
  position: fixed;
  bottom: 10%;
  right: 1%;
  z-index: 6;
  cursor: pointer;
  width: 40px;
  aspect-ratio: 1/1;
  background: rgba(255, 255, 255, 0.567);
  backdrop-filter: blur(5px);
  color: var(--primary);
  border: 2px solid var(--primary);
  border-radius: 100%;
  transition: var(--Etrns);
}

#myBtn:hover {
  backdrop-filter: blur(5px);
  background: #0907747a;
  color: white;
}

#myBtn span {
  color: var(--FullWhite);
  text-decoration: none;
  transition: all 0.5s ease;
}

#myBtn:hover span {
  transform: translateY(-3px);
  text-decoration: none;
  color: var(--FullWhite);
  display: flex !important;
  justify-content: center;
  align-items: center;
}

@media (max-width: 500px) {
  #myBtn {
    width: 35px;
    height: 35px;
    font-size: 10px;
    bottom: 15%;
    right: 3%;
  }
}

/* ******************************
          MINI BREADCRUMB
******************************* */
.Breadcrumb {
  background: var(--primary);
  background-image: linear-gradient(#f7921ec9, #f7921ec9),
    url(../images/foodpattern.svg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  padding: 0 24px;
  width: 100%;
}

.Breadcrumb .container {
  padding: 160px 0 60px 0;
  min-height: 50vh;
}

.Breadcrumb .title {
  font-size: 45px;
  font-weight: 700;
  color: white;
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 2px;
}

.Breadcrumb .pg-address-box {
  display: flex;
  justify-content: center;
  gap: 10px;
  flex-wrap: wrap;
}

.Breadcrumb .pg-address-box .pg-name {
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 1px;
  text-decoration: none;
  text-transform: capitalize;
  color: white;
  transition: var(--Ltrns);
}
.Breadcrumb .pg-address-box .pg-name:not(:last-child):after {
  content: ">";
  font-size: inherit;
  font-weight: inherit;
  color: white;
  margin-left: 7px;
}

.Breadcrumb a.pg-name:hover {
  color: var(--secoundry);
}

@media (min-width: 2100px) {
  .Breadcrumb .title {
    font-size: 100px;
  }
  .Breadcrumb .pg-address-box .pg-name {
    font-size: 30px;
  }

  .Breadcrumb .container {
    padding: 210px 0 0 0;
    min-height: 50vh;
  }
}

@media (max-width: 702px) {
  .Breadcrumb .title {
    font-size: 30px;
  }

  .Breadcrumb .container {
    padding: 140px 0 60px 0;
    min-height: 20vh;
  }
}
@media (max-width: 450px) {
  .Breadcrumb .container {
    padding: 110px 0 60px 0;
  }

  .Breadcrumb .title {
    font-size: 25px;
  }

  .Breadcrumb .pg-address-box .pg-name {
    font-size: 12px;
  }
}

/*******************************
       HEADINGS  
********************************/
/* Main Heading  */
.hd-main {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 34px;
  text-transform: capitalize;
}

/* Sub Heading  */
.hd-sub {
  text-transform: capitalize;
  font-size: 13px;
  font-weight: 700;
  margin-bottom: 5px;
  color: var(--secoundry);
}

@media (min-width: 2100px) {
  .hd-main {
    font-size: 45px;
  }
  .hd-sub {
    font-size: 22px;
  }
}

@media (max-width: 858px) {
  .hd-main {
    font-size: 28px;
    margin-bottom: 32px;
  }
}

@media (max-width: 510px) {
  .hd-main {
    font-size: 22px;
  }
}

/*******************************
          BUTTONS 
********************************/
/* ===> 🌟 Size Varients of Btn 🌟 +++++++++ */
/* Large Size Btn (b-lg) */
.btn-lg {
  text-decoration: none;
  padding: 12px 20px;
  font-weight: 600;
  font-size: 13px;
  letter-spacing: 1px;
  border-radius: 50px;
  text-align: center;
  color: var(--txt-Dark);
  text-transform: capitalize;
  display: inline-block;
  transition: var(--Ftrns);
}

@media (min-width: 2100px) {
  .btn-lg {
    padding: 20px 33px;
    font-size: 23px;
  }
}

@media (max-width: 800px) {
  .btn-lg {
    padding: 10px 16px;
    font-size: 12px;
  }
}

/* ===> 🌟 Btn varient by color 🌟 +++++++++ */
/* Primary Btn  */
.btn-prim {
  background-color: var(--primary);
  border: none;
  color: white;
}
.btn-prim:is(:hover, :active) {
  background-color: white;
  color: var(--primary);
  transform: scale(1.1);
}
.btn-prim:is(:hover, :active).h-sec {
  background-color: var(--secoundry);
  color: white;
  transform: scale(1.1);
}

/* White Primary Btn */
.btn-w-prim {
  background-color: white;
  border: none;
  color: var(--primary);
}
.btn-w-prim:is(:hover, :active) {
  color: var(--secoundry);
  transform: scale(1.1);
}

/* Secoundry Btn  */
.btn-sec {
  background-color: var(--secoundry);
  border: none;
  color: white;
}
.btn-sec:is(:hover, :active) {
  background-color: var(--primary);
  color: white;
  transform: scale(1.1);
}

/* Secoundry hover:white Btn  */
.btn-sec:is(:hover, :active).hover-w {
  background-color: white;
  color: var(--secoundry);
}

/* White Secoundry Btn */
.btn-w-sec {
  background-color: white;
  border: none;
  color: var(--secoundry);
}
.btn-w-sec:is(:hover, :active) {
  color: var(--primary);
  transform: scale(1.1);
}

/* ******************************
         SOCIAL ICONS
******************************* */
.social-icons-div {
  display: flex;
  gap: 10px;
}
.social-icons-div a {
  text-decoration: none;
  display: grid;
  place-items: center;
  width: 25px;
  height: 25px;
  border-radius: 100%;
  border: 2px solid var(--primary);
  font-size: 9px;
  color: var(--primary);
  transition: var(--Ftrns);
  overflow: hidden;
}
.social-icons-div a:hover {
  transform: scale(1.1);
  color: var(--secoundry);
  border: 3px solid var(--secoundry);
}

/* *****************************
         ACCORDION
******************************* */
.Accordion {
  transition: var(--Ltrns);
}

.Accordion summary {
  display: flex;
  justify-content: space-between;
  align-items: center;
  cursor: pointer;
  padding: 20px;
  gap: 17px;
  border-radius: var(--radious-sec);
  background: white;
  border: var(--border-prim);
  transition: var(--Ltrns);
}
.Accordion summary .title {
  color: var(--txt-dark);
  font-size: 15px;
  margin: 0;
  font-weight: 600;
  transition: var(--Ltrns);
}


/* Adding animation */
.Accordion summary .icon {
  color: var(--txt-dark);
  font-size: 17px;
  transition: var(--Ltrns);
}
.Accordion[open] summary .icon {
  transform: rotate(44deg);
}

/* Adding Body */
.Accordion .accordion-body {
  background: #fcfcff;
  backdrop-filter: blur(5px);
  padding: 20px;
  border-radius: var(--radious-sec);
  border: var(--border-prim);
  margin: 10px 0 20px 0;
}

@media (max-width: 700px) {
  .Accordion summary .title {
    font-size: 13px;
  }
}


/* ****************************
     POP MSG BOX
******************************* */
.pop-msg-box {
  border-radius: var(--radious-sec);
  padding: 12px 20px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  margin: 20px 0;
}
.pop-msg-box.hide {
  transform-origin: top right;
  -webkit-transform-origin: top right; /* WebKit */
  -moz-transform-origin: top right; /* Mozilla */
  -o-transform-origin: top right; /* Opera */
  animation: anihide 0.4s linear forwards;
  -webkit-animation: anihide 0.4s linear forwards;
  -moz-animation: anihide 0.4s linear forwards;
  -o-animation: anihide 0.4s linear forwards;
}

@keyframes anihide {
  0% {
    transform: scale(1);
    opacity: 1;
  }

  95% {
    transform: scale(0);
    opacity: 0;
  }

  100% {
      transform: scale(0);
    opacity: 0;
    display: none;
  }
}

.pop-msg-box p {
  margin: 0;
}
.pop-msg-box button {
  font-size: 18px;
  flex-shrink: 0;
}

/* ==> choose Theme */
.pop-msg-box.warning {
  background: #fff3cd;
  border: 1px solid #ffecb5;
}
.pop-msg-box.warning :is(p, button) {
  color: rgb(102, 77, 3);
  transition: var(--Ltrns);
}
.pop-msg-box.warning button:hover {
  color: rgb(169, 128, 3);
}

.pop-msg-box.success {
  background: #d1e7dd;
  border: 1px solid #a3cfbb;
}
.pop-msg-box.success :is(p, button) {
  color: #0a3622;
  transition: var(--Ltrns);
}
.pop-msg-box.success button:hover {
  color: #a3cfbb;
}

/* ****************************
     OWL </> BTNS STYLING
******************************* */
.owl-carousel {
  position: relative;
}
.owl-nav {
  width: calc(100% + 40px);
  position: absolute;
  top: 45%;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  justify-content: space-between;
  pointer-events: none;
}

/* ===> OWL </> Btn */
.owl-nav button {
  pointer-events: visible;
  width: 35px;
  height: 35px;
  display: grid;
  place-items: center;
  background-color: var(--primary) !important;
  color: white !important;
  border-radius: 100% !important;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
  transition: var(--Ltrns);
}

.owl-nav button span {
  font-size: 35px !important;
  display: inline-block;
  margin-top: -10px;
}

.owl-nav button:hover {
  background-color: var(--secoundry) !important;
  color: white !important;
}

/* ===> OWL Indicators */
.owl-dots {
  margin-top: 25px;
}
.owl-dots .owl-dot span {
  transition: var(--Ltrns) !important;
}
.owl-dots .owl-dot.active span {
  display: inline-block;
  width: 20px;
  height: 10px;
  border-radius: 50px;
  background: var(--secoundry) !important;
}

/* star rating */
.rate {
  /* float: left; */
  display: flex;
  align-items: center;
  flex-flow: row-reverse;
  justify-content: center;
  gap: 0.5rem;
  height: 2.1rem;
  padding: 0 10px;
}
.rate:not(:checked) > label {
  float:right;
  width:1em;
  overflow:hidden;
  white-space:nowrap;
  cursor:pointer;
  font-size:30px;
  color:#bfbfbf;
}
.rate:not(:checked) > label:before {
  content: '★ ';
}
.rate > input:checked ~ label {
  color: #ffc700;    
}
.rate:not(:checked) > label:hover,
.rate:not(:checked) > label:hover ~ label {
  color: #deb217;  
}
.rate > input:checked + label:hover,
.rate > input:checked + label:hover ~ label,
.rate > input:checked ~ label:hover,
.rate > input:checked ~ label:hover ~ label,
.rate > label:hover ~ input:checked ~ label {
  color: #c59b08;
}

.rated {
  display: flex;
  gap: 0.5rem;
  color: #ffc700;
}
.rated i {
  font-size: 1.5rem;
}
.rated i.checked {
  color: #ffc700;
}